%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define __libtoolize :

Summary: A utility for determining file types
Name: file
Version: 5.04
Release: 15%{?dist}
License: BSD
Group: Applications/File
Source0: ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
URL: http://www.darwinsys.com/file/
Patch0: file-4.21-pybuild.patch
Patch1: file-5.00-devdrv.patch
Patch2: file-5.00-mdmp.patch
Patch3: file-5.04-separ.patch
Patch4: file-5.04-filesystem.patch
Patch5: file-5.04-ruby-modules.patch
Patch6: file-5.04-squashfs.patch
Patch7: file-5.04-ulaw-segfault.patch
Patch8: file-5.04-core-trim.patch
Patch9: file-5.04-html-regression.patch
Patch10: file-5.04-differentiate-gfs1-gfs2.patch
Patch11: file-5.04-zip64.patch
Patch12: file-5.04-volume_key.patch
Patch13: file-5.04-text-string.patch
Patch14: file-5.04-python-diff-magic.patch
Patch15: file-5.04-man-return-code.patch
Patch16: file-5.04-webm.patch
Patch17: file-5.04-rpm.patch
Patch18: file-5.04-s390-kernel.patch
Patch19: file-5.04-core-prpsinfo.patch
Patch20: file-5.04-python-regex.patch
Patch21: file-5.04-man-page.patch
Patch22: file-5.04-latex-improve.patch
Patch23: file-5.04-text-fix.patch
Patch24: file-5.04-elf-header-size.patch
Patch25: file-4.17-i64-swap.patch
Patch26: file-4.17-rpm-name.patch
Patch27: file-5.04-bios.patch
Patch28: file-5.04-generic-msdos.patch
Patch29: file-5.04-lzma.patch
Patch30: file-5.04-python-func.patch
Patch31: file-localmagic.patch
Patch32: file-qed-vdi-image.patch
Patch33: file-5.11-compress.patch
Patch34: file-5.11-magicmgc-home.patch
Patch35: file-5.11-dump-twice.patch

Requires: file-libs = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

%package libs
Summary: Libraries for applications using libmagic
Group:   Applications/File

%description libs

Libraries for applications using libmagic.

%package devel
Summary:  Libraries and header files for file development
Group:    Applications/File
Requires: %{name} = %{version}-%{release}

%description devel
The file-devel package contains the header files and libmagic library
necessary for developing programs using libmagic.

%package static
Summary: Static library for file development
Group:    Applications/File
Requires: %{name} = %{version}-%{release}

%description static
The file-static package contains the static version of
the libmagic library.

%package -n python-magic
Summary: Python bindings for the libmagic API
Group:   Development/Libraries
BuildRequires: python-devel
Requires: %{name} = %{version}-%{release}

%description -n python-magic
This package contains the Python bindings to allow access to the
libmagic API. The libmagic library is also used by the familiar
file(1) command.

%prep
# Don't use -b -- it will lead to poblems when compiling magic file
%setup -q
%patch0 -p1
#fixes #463809
%patch1 -p1
#fixes #485835
%patch2 -p1
#fixes #575178
%patch3 -p1
#fixes #570785
%patch4 -p1
#fixes #562840
%patch5 -p1
#fixes #550212
%patch6 -p1
#fixes #533245
%patch7 -p1
#fixes #580490
%patch8 -p1
#fixes #594605,#594624,#594636
%patch9 -p1
#fixes #670125
%patch10 -p1
#fixes #637782
%patch11 -p1
#fixes #643046
%patch12 -p1
#fixes #594083
%patch13 -p1
#fixes #594083
%patch14 -p1
#fixes #608686
%patch15 -p1
#fixes #610795
%patch16 -p1
#fixes #676045, #712992
%patch17 -p1
#fixes #688700
%patch18 -p1
#fixes #692098
%patch19 -p1
#fixes #712988
%patch20 -p1
#fixes #690801
%patch21 -p1
#fixes #675691
%patch22 -p1
#fixes #716665
%patch23 -p1
#fixes #730336
%patch24 -p1
#fixes #758109
%patch25 -p1
#fixes #760083
%patch26 -p1
#fixes #709846
%patch27 -p1
#fixes #688136
%patch28 -p1
#fixes #747999
%patch29 -p1
#fixes #733229
%patch30 -p1
#fixes #719583
%patch31 -p1
#fixes #795761, #795425
%patch32 -p1
#fixes #801711
%patch33 -p1
#fixes #797784
%patch34 -p1
#fixes #859834
%patch35 -p1

iconv -f iso-8859-1 -t utf-8 < doc/libmagic.man > doc/libmagic.man_
touch -r doc/libmagic.man doc/libmagic.man_
mv doc/libmagic.man_ doc/libmagic.man

%build
CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
%configure --enable-fsect-man5 --disable-rpath
# remove hardcoded library paths from local libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/src/.libs
make
cd python
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/misc
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/file

make DESTDIR=${RPM_BUILD_ROOT} install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

# local magic in /etc/magic
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
cp -a ./magic/magic.local ${RPM_BUILD_ROOT}%{_sysconfdir}/magic

cat magic/Magdir/* > ${RPM_BUILD_ROOT}%{_datadir}/misc/magic
ln -s misc/magic ${RPM_BUILD_ROOT}%{_datadir}/magic
#ln -s file/magic.mime ${RPM_BUILD_ROOT}%{_datadir}/magic.mime
ln -s ../magic ${RPM_BUILD_ROOT}%{_datadir}/file/magic

cd python
%{__python} setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__install} -D example.py ${RPM_BUILD_ROOT}/%{_docdir}/python-magic-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/magic

%files libs
%defattr(-,root,root,-)
%{_libdir}/*so.*
%{_datadir}/magic*
%{_mandir}/man5/*
%{_datadir}/file
%{_datadir}/misc/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/magic.h
%{_mandir}/man3/*

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%files -n python-magic
%defattr(-, root, root, -)
%doc python/README COPYING python/example.py
%{python_sitearch}/magic.so
%if 0%{?fedora} >= 9 || 0%{?res} >= 6
%{python_sitearch}/*egg-info
%endif


%changelog

